Package ch.qos.logback.classic.spi

# Interface LoggerContextAware

All Superinterfaces:
  `ContextAware`

All Known Implementing Classes:
  `LoggerContextAwareBase`

public interface LoggerContextAware extends ContextAware

## Method Summary

Modifier and Type
Method
Description
`void`
`setLoggerContext(LoggerContext context)`
Set owning logger context for this component.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Method Details

### setLoggerContext

void setLoggerContext(LoggerContext context)
Set owning logger context for this component. This operation can only be performed once. Once set, the owning context cannot be changed.

Parameters:
  `context` - The context where this component is attached.
Throws:
  `IllegalStateException` - If you try to change the context after it has been set.